SENDSYSLOG(2)

NAME
sendsyslog - send a message to syslogd

SYNOPSIS
#include <sys/types.h>
int
sendsyslog(const void *msg, size_t len);

DESCRIPTION
sendsyslog() is used to transmit a syslog(3) formatted message direct to syslogd(8) without requiring the allocation of a socket. This is used internally by syslog_r(3), so that messages can be sent during difficult situations.

RETURN VALUES
The call returns 0 on success, or -1 if an error occurred.

ERRORS
sendsyslog() can fail if:

[ENOTCONN]
    The message cannot be sent, likely because syslogd(8) is not running.

SEE ALSO
syslog_r(3), syslogd(8)

HISTORY
The sendsyslog() function call appeared in OpenBSD 5.6.